#!/bin/sh
source /etc/conf.d/vdr
#set -x
for i in $(pidof -x "$0" -o %PPID) ; do
    echo "Killing $i"
    kill $i
done

if [ "$ACTIVY_OVERLAY" = "Aus" ] || [ "$1" = "" -o "$1" = "0" ] ; then
   tvia_overlay --off
else
   # Wait for X (freevo) if not already started
   if [ "$(sh /_config/bin/getXVT.sh -a)" = "" ] ; then
      # Wait for x or freevo
      if [ "$GUI" = "Aus" ] ; then 
	 X_TIMEOUT=8
      else
         X_TIMEOUT=15	 
      fi	 
      for i in $(seq 1 60) ; do
         sleep 1
         if [ "$(sh /_config/bin/getXVT.sh -a)" != "" ] ; then
            # Wait for freevo
            for i in $(seq 1 $X_TIMEOUT) ; do
               sleep 1
               if [ $(pidof python | wc -w) -gt 2 ] ; then
                  break
               fi  
	    done   
	    break
         fi	 
      done
   fi      
   # Wait for vdr if not already started
   if [ "$(pidof vdr)" = "" ] ; then
      # Wait for vdr
      for i in $(seq 1 120) ; do
         sleep 1
         if [ "$(pidof vdr)" != "" ] ; then
	    sleep 10
	    break
         fi	 
      done
   fi      
   if [ "$(ps x | grep vdr | grep em84xx)" = "" ] ; then
      logger -s "em84xx Plugin not active - not starting overlay"
      exit
   fi
   
   OP="--overscan $ACTIVY_OVL_OVERSCAN"
   [ "$ACTIVY_OVERLAY" = "BOBMODE" ]     &&   OP="$OP --bobmode"
   [ "$ACTIVY_OVL_DOUBLEBUFFER" = "1" ]  &&   OP="$OP --doublebuffer"
   [ "$ACTIVY_OVL_BLANK" = "1" ]         &&   OP="$OP --blank"
#   [ "$ACTIVY_OVL_ZOOM" = "16_9" ]       &&   OP="$OP --169zoom"    
#   [ "$ACTIVY_OVL_ZOOM" = "4_3" ]        &&   OP="$OP --43on169"
#   [ "$ACTIVY_OVL_SYNCLOCK" = "PAL640x480" ]  &&   OP="$OP --synclock 0"    
#   [ "$ACTIVY_OVL_SYNCLOCK" = "PAL720x540" ]  &&   OP="$OP --synclock 1"    
#   [ "$ACTIVY_OVL_SYNCLOCK" = "PAL768x576" ]  &&   OP="$OP --synclock 2"    
#   [ "$ACTIVY_OVL_SYNCLOCK" = "PAL720x576" ]  &&   OP="$OP --synclock 3"    
   OP="$OP --destwidth $ACTIVY_OVL_WIDTH --destheight $ACTIVY_OVL_HEIGHT"
   OP="$OP --offsetx $ACTIVY_OVL_OFFSETX --offsety $ACTIVY_OVL_OFFSETY"
   OP="$OP --shrinkx $ACTIVY_OVL_SHRINKX --shrinky $ACTIVY_OVL_SHRINKY"
   OP="$OP --bitclipwidth $ACTIVY_OVL_BITCLIPX --bitclipheight $ACTIVY_OVL_BITCLIPY"
   OP="$OP --sourcewidth $ACTIVY_OVL_SRCWIDTH --sourceheight $ACTIVY_OVL_SRCHEIGHT"
   logger -s "tvia_overlay $OP"
   tvia_overlay $OP
fi
